SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001100SiT!inbound emailpublic2010-02-23 20:512010-05-29 14:21
Reporterpaulh 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.51 
Target Version3.61 LTSFixed in Version3.61 LTS 
Summary0001100: SQL Error importing email with odd named attachment
DescriptionSending an email with multiple (3) attached messages

2010-02-23T20:49:24+00:00 auto.php ERROR: Application Warning You have an error in your SQL syntax; check the manual that corresponds to your MySQL server v
ersion for the right syntax to use near 's_Mitchel_Baker_in_NRCHandelsblad.eml[[/att]], [[att=8]]Re:_[Shib-Dev]_IdP_2_2_0' at line 1 in /home/paulh/sit/inbo
undemail.php at line 395
2010-02-23T20:49:24+00:00 auto.php Creating a link between 0 and file 7
2010-02-23T20:49:24+00:00 auto.php ERROR: Application Warning Duplicate entry '5-0-0' for key 'PRIMARY' in /home/paulh/sit/inboundemail.php at line 520
TagsNo tags attached.
Attached Fileslog file icon webtrack.log [^] (281,153 bytes) 2010-02-23 20:52

- Relationships
related to 0001275resolvedpaulh non-ascii characters in inbound email attachment filenames are corrupted 

-  Notes
User avatar (0002461)
paulh (administrator)
2010-02-23 20:52

debug log attached
User avatar (0002463)
ivan (administrator)
2010-02-23 20:53

which version?
User avatar (0002464)
paulh (administrator)
2010-02-23 20:53

Opps version is 3.51 (well 3.x SVN)
User avatar (0003068)
ivan (administrator)
2010-04-14 21:58

Can confirm this, it happens with attachments that have a ' in the name, which isn't good at all.
User avatar (0003069)
ivan (administrator)
2010-04-14 22:11

Fixed in svn r6435 and git ba5a3c7
User avatar (0003217)
ivan (administrator)
2010-05-29 14:21

Released in v3.61

- Issue History
Date Modified Username Field Change
2010-02-23 20:51 paulh New Issue
2010-02-23 20:52 paulh File Added: webtrack.log
2010-02-23 20:52 paulh Note Added: 0002461
2010-02-23 20:53 ivan Note Added: 0002463
2010-02-23 20:53 paulh Note Added: 0002464
2010-02-23 20:53 paulh Product Version => 3.51
2010-04-14 21:57 ivan Status new => assigned
2010-04-14 21:57 ivan Assigned To => ivan
2010-04-14 21:58 ivan Note Added: 0003068
2010-04-14 21:58 ivan Target Version => 3.61 LTS
2010-04-14 22:00 ivan Summary SQL Error importing email => SQL Error importing email with odd named attachment
2010-04-14 22:11 ivan Note Added: 0003069
2010-04-14 22:11 ivan Status assigned => resolved
2010-04-14 22:11 ivan Fixed in Version => Current SVN
2010-04-14 22:11 ivan Resolution open => fixed
2010-04-14 22:25 ivan Relationship added related to 0001275
2010-05-29 13:39 ivan Fixed in Version Current SVN => 3.61 LTS
2010-05-29 14:21 ivan Note Added: 0003217
2010-05-29 14:21 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker